glm(1)

NAME
glm - General Linear Model

SYNOPSIS
glm [options] ctlfile imgfile_pattern [ctlfile imgfile_pattern ...]

DESCRIPTION
Statistical modeling of pixel intensities in multiple images using a General Linear Model.

The independent variables of the model are defined in one of more control files. Each control file is a text file with one whitespace-separated column per independent variable.

The first line of the control file defines the variable names, i.e., the labels that identify each variable. Each following line contains one value per independent variable.

Example:

  ID age sex
  01 20 0
  02 30 1

Each control file name is followed by a file name pattern. In that pattern, a single '%s' place holder is replaced by the value found in the first column of each control file row. The resulting string is the path of the image read and associated with the model variables listed on that particular control file line.

Using the above control file example, the pattern 'images/subject%s.nii' would expand to the image file names 'images/subject01.nii' and 'images/subject02.nii'.

Multiple control files can be used, each with a different image file pattern.

OPTIONS

  Global Toolkit Options (these are shared by all CMTK tools)

--help
    Write list of basic command line options to standard output.

--help-all
    Write complete list of basic and advanced command line options to standard output.

--wiki
    Write list of command line options to standard output in MediaWiki markup.

--man
    Write man page source in 'nroff' markup to standard output.

--version
    Write toolkit version to standard output.

--echo
    Write the current command line to standard output.

--verbose-level <integer>
    Set verbosity level.

--verbose, -v
    Increment verbosity level by 1 (deprecated; supported for backward compatibility).

--threads <integer>
    Set maximum number of parallel threads (for POSIX threads and OpenMP).

  Input Settings

--crop <string>, -c <string>
    To save space/time, crop images: x0,y0,z0,x1,y1,z2

  Model Settings

--normalize, -n
    Normalize model parameters w.r.t. data variances.

--exp, -e
    Use exponential model rather than linear model.

  Selection of Independent Variables

--exclude-constant, -x
    Exclude automatic constant parameter from model.

--ignore-parameter <string>, -i <string>
    Ignore parameter with given NUMBER (0..n-1). Can be repeated.

--select-parameter <string>, -s <string>
    Select parameter with given NAME for model. Can be repeated.

  Output Settings

--output-pattern <string>, -O <string>
    Filename pattern for output.

      %s is replaced with image type ('fstat', 'tstat', or 'param')
      %d is replaced with independent variable number (0 for entire model)
      %s is replaced with independent variable name ('model' for entire model)

    [Default: model_%s_%02d_%s.nii ]

AUTHORS
Torsten Rohlfing, with contributions from Michael P. Hasak, Greg Jefferis, Calvin R. Maurer, Daniel B. Russakoff, and Yaroslav Halchenko

LICENSE
http://www.fsf.org/licensing/licenses/gpl.html

BUGS
Report bugs at http://nitrc.org/projects/cmtk/

ACKNOWLEDGMENTS
CMTK is developed with support from the NIAAA under Grant AA021697, National Consortium on Alcohol and Neurodevelopment in Adolescence (N-CANDA): Data Integration Component. From April 2009 through September 2011, CMTK development and maintenance was supported by the NIBIB under Grant EB008381.